Name: amtu 
Version: 0.1
Release: 7RHEL
Autoreqprov: on
Summary: Abstract Machine Test Utility (AMTU)
License: Common Public License
Group: Productivity/Security
Requires: laus-libs
Source0: %{name}-%{version}.tar.gz
Patch1: amtu-ia64.patch
Patch2: amtu-memsep.patch

# Red Hat AMTU SPEC file

%description
Abstract Machine Test Utility (AMTU) is an administrative utility to check
whether the underlying protection mechanism of the hardware are still being
enforced. This is a requirement of the Controlled Access Protection Profile
FTP_AMT.1, see 
http://www.radium.ncsc.mil/tpep/library/protection_profiles/CAPP-1.d.pdf

%prep
%setup -n amtu
%patch1 -p1 -b .ia64
%patch2 -p1 -b .memsep

%build
# Determine appropriate compiler
CC="gcc"
%ifarch ppc64 ppc64iseries ppc64pseries
  CC="/usr/bin/ppc64-redhat-linux-gcc"
%endif
# Determine appropriate compiler flags
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall -pipe"
%ifarch x86_64
  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall -pipe -m64"
%endif
export CC CFLAGS
autoheader || true
autoreconf --install
./configure 			\
	--prefix=/usr		\
	 --bindir=/usr/bin	\
	--mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/amtu-%{version}
make DESTDIR=$RPM_BUILD_ROOT install-strip
gzip doc/amtu.8
install -m 644 doc/AMTUHowTo.txt $RPM_BUILD_ROOT/%{_defaultdocdir}/amtu-%{version}/AMTUHowTo.txt
install -m 644 doc/amtu.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/amtu.8.gz

%clean
make clean

%files
%defattr(-,root,root)
%attr(750,root,root) /usr/bin/amtu
%doc %{_mandir}/man8/amtu.8.gz
%doc %{_defaultdocdir}/amtu-%{version}/AMTUHowTo.txt

%changelog
* Thu Sep  2 2004 root <ccb@redhat.com> 0.1-7RHEL
- integrate memsep patch from Matt Anderson at HP

* Mon Aug 16 2004 root <ccb@redhat.com> 0.1-6RHEL
- Integrate ia64 patches from HP's Matt Anderson, enabling use on ia64
* Tue Jun 29 2004 root <ccb@redhat.com> 0.1-4RHEL
- fix /usr/bin/amtu modes for real this time
* Tue Jun 29 2004 root <ccb@redhat.com> 0.1-4RHEL
- set execute bits on /usr/bin/amtu
* Fri May 28 2004 ccb <ccb@redhat.com> 0.1-3RHEL
- fixed owners and permissions in %files
* Wed May 26 2004 ccb <ccb@redhat.com> 0.1-2RHEL
- move docs to a version-qualified directory name
* Sat May  1 2004 root <chavezt@cs679156-153.austin.rr.com> 
- Initial build.


